<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:id="@+id/operate_customer"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/white"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/customer_sift"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/customer_sift"
            android:textSize="@dimen/text_size_medium" />

        <View
            android:layout_width="@dimen/line"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <TextView
            android:id="@+id/customer_assign"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/customer_assign"
            android:textSize="@dimen/text_size_medium" />

        <View
            android:layout_width="@dimen/line"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <TextView
            android:id="@+id/add_new_customer"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/add_new_customer"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:background="@color/line_color"
        app:layout_constraintTop_toBottomOf="@+id/operate_customer" />

    <FrameLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/white">

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/resource_list_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/common_padding"
            app:srlEnablePreviewInEditMode="true">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/market_customer_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never" />

            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    </FrameLayout>

    <LinearLayout
        android:id="@+id/commit_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:gravity="end"
        android:orientation="horizontal"
        android:visibility="gone">

        <TextView
            android:id="@+id/commit"
            android:layout_width="200dp"
            android:layout_height="@dimen/button_height"
            android:layout_gravity="center"
            android:layout_margin="@dimen/common_padding"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:text="@string/submit"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />
    </LinearLayout>
</LinearLayout>